User account creation filtered due to spam.

Bug 2 - ICE on template with aggregates
Summary: ICE on template with aggregates
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c++ (show other bugs)
Version: unknown
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
: 4962 (view as bug list)
Depends on:
Blocks:
 
Reported: 1999-08-24 23:36 UTC by a8601248
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description a8601248 1999-08-24 23:36:00 UTC
G++ crashes using templates/aggregates.

Release:
19990824

Environment:
Linux pc 2.2.10 #9 Wed Jul 21 15:10:53 MEST 1999 i686 unknown

How-To-Repeat:
.)compile
% g++ ICE2.cpp
ICE2.cpp: In method `void basic_filebuf<char>::underflow()':
ICE2.cpp:13:   instantiated from here
ICE2.cpp:9: Internal compiler error in `expand_expr', at expr.c:5701
Please submit a full bug report.
See <URL:http://www.gnu.org/software/gcc/faq.html#bugreport> for instructions.

-----ICE2.cpp----------------

template<typename _CharT>
  struct basic_filebuf
  {
    virtual void 
    underflow()
    {
      int __size = 5;
      char __conv_buf[__size];
    }
  };

template class basic_filebuf<char>;

-----------------------------
Comment 1 a8601248 1999-08-24 23:36:00 UTC
Fix:
1999-08-26  Mark Mitchell  <mark@codesourcery.com>

	* tree.c (store_parm_decls): Reset immediate_size_expand.
	(finish_function): Likewise.
Comment 2 Mark Mitchell 1999-08-26 20:16:49 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Fixed.